'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = hashStructure;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _crypto = require('crypto');

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function hashStructure(doSave) {
  const structurePath = _path2.default.join(process.cwd(), 'structure.json');
  const hashPath = _path2.default.join(process.cwd(), '.sthash');

  var _readJSON = (0, _utils.readJSON)(structurePath);

  const strError = _readJSON.error,
        structure = _readJSON.file;


  if (strError) {
    console.log(strError);
    return;
  }

  const structureString = JSON.stringify(structure);
  const stHash = (0, _crypto.createHash)('sha256').update(structureString).digest('hex');

  if (doSave) {
    _fs2.default.writeFileSync(hashPath, stHash);
  } else {
    console.log(stHash);
  }
};