'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _Content = require('./Content');

var _Content2 = _interopRequireDefault(_Content);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = async function migrate() {
  const contentPath = _path2.default.join(process.cwd(), 'content.json');
  const structurePath = _path2.default.join(process.cwd(), 'structure.json');

  var _readJSON = (0, _utils.readJSON)(structurePath);

  const strError = _readJSON.error,
        structure = _readJSON.file;

  if (strError) {
    console.log(strError);
    return;
  }

  var _readJSON2 = (0, _utils.readJSON)(contentPath, true);

  const cntError = _readJSON2.error,
        content = _readJSON2.file;

  if (cntError) {
    console.log(cntError);
    return;
  }

  const newContent = new _Content2.default(content, structure);

  newContent.migratePages().migrateSections().migrateFields();

  const isInitialContent = JSON.stringify(content) === '{}';
  const hasContentChanged = JSON.stringify(content) !== JSON.stringify(newContent.getContent());

  if (hasContentChanged) {
    let message = 'New content.json created.';

    if (!isInitialContent) {
      _fs2.default.copyFileSync(contentPath, `${contentPath}.backup`);
      message += ' Backup saved as content.json.backup';
    }

    _fs2.default.writeFileSync(contentPath, JSON.stringify(newContent.getContent(), null, 2));
    console.log(message);
  }
};